Package org.jcsp.plugNplay

# Class Delta

java.lang.Object
org.jcsp.plugNplay.Delta

All Implemented Interfaces:
  `CSProcess`

public final class Delta extends Object implements CSProcess
This process broadcasts objects arriving on its input channel in parallel to its array of output channels.

## Process Diagram

## Description

The Delta class is a process which has an infinite loop that waits for Objects of any type to be sent down the in Channel. The process then writes the reference to the Object in parallel down each of the Channels in the out array.

## Channel Protocols

Input Channels
in | java.lang.Object | The in Channel can accept data of any Class.
Output Channels
out[] | java.lang.Object | The output Channels will carry a broadcast of whatever is sent down the in Channel.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`Delta(ChannelInput in, ChannelOutput[] out)`
Construct a new Delta process with the input Channel in and the output Channels out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delta

public Delta(ChannelInput in, ChannelOutput[] out)
Construct a new Delta process with the input Channel in and the output Channels out. The ordering of the Channels in the out array make no difference to the functionality of this process.

Parameters:
  `in` - the input channel
  `out` - the output Channels

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`